<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'PressHero',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section class="press-hero">
    <SlpContainer>
      <div v-if="data.backgroundImage" class="press-hero__img">
        <img
          :src="data.backgroundImage.fields.file.url"
          :alt="data.backgroundImage.fields.title"
        />
      </div>
      <SlpTypography variant="heading3-bold" tag="h1">{{
        data.title
      }}</SlpTypography>
      <div
        class="press-hero__description"
        v-html="$md.render(data.description)"
      ></div>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.press-hero {
  background: $color-primary-200;
  color: $color-primary-300;
  padding: $spacing-96 $spacing-24;
  text-align: center;
  &__img {
    height: 130px;
    max-width: 300px;
    margin: 0 auto 40px auto;
    img {
      width: 100%;
      height: 100%;
      object-fit: contain;
    }
  }

  &__description {
    max-width: 60ch;
    margin: $spacing-16 auto 0;
  }
}
</style>
